tigase.stats

## Class JavaJMXProxy

- java.lang.Object
- - tigase.stats.JavaJMXProxy

- All Implemented Interfaces:
    EventListener, NotificationListener, StatisticsProviderMBean

  Deprecated.
  `JavaJMXProxyOpt` - optimised JMXProxy class should be used. This class will be removed in the next version after 7.1.0

      @Deprecated
      public class JavaJMXProxy
      extends Object
      implements StatisticsProviderMBean, NotificationListener

  Created: Aug 24, 2009 12:35:28 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaJMXProxy(String id, String hostname, int port, String userName, String password, long delay, long interval, boolean loadHistory)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJMXProxyListener(JMXProxyListener listener)` Deprecated.
    `void` | `connect()` Deprecated.
    `Map<String,String>` | `getAllStats(int level)` Deprecated. Operation exposed for management
    `int` | `getCLIOQueueSize()` Deprecated.
    `float[]` | `getCLPacketsPerSecHistory()` Deprecated.
    `int` | `getCLQueueSize()` Deprecated.
    `int` | `getClusterCacheSize()` Deprecated.
    `float` | `getClusterCompressionRatio()` Deprecated.
    `long` | `getClusterNetworkBytes()` Deprecated.
    `float` | `getClusterNetworkBytesPerSecond()` Deprecated.
    `long` | `getClusterPackets()` Deprecated.
    `float` | `getClusterPacketsPerSec()` Deprecated.
    `List<String>` | `getComponentsNames()` Deprecated. Get Attribute exposed for management
    `Map<String,String>` | `getComponentStats(String compName, int level)` Deprecated. Operation exposed for management
    `int` | `getConnectionsNumber()` Deprecated.
    `int[]` | `getConnectionsNumberHistory()` Deprecated.
    `int` | `getCPUsNumber()` Deprecated.
    `float` | `getCPUUsage()` Deprecated.
    `float[]` | `getCPUUsageHistory()` Deprecated.
    `Map<String,Object>` | `getCurStats(String[] statsKeys)` Deprecated.
    `long` | `getDirectMemUsed()` Deprecated.
    `long[]` | `getDirectMemUsedHistory()` Deprecated.
    `float` | `getHeapMemUsage()` Deprecated.
    `float[]` | `getHeapUsageHistory()` Deprecated.
    `String` | `getId()` Deprecated.
    `long` | `getIQAuthNumber()` Deprecated.
    `long` | `getIQOtherNumber()` Deprecated.
    `float` | `getIQOtherNumberPerSec()` Deprecated.
    `long` | `getLastCacheUpdate()` Deprecated.
    `long` | `getMessagesNumber()` Deprecated.
    `float` | `getMessagesNumberPerSec()` Deprecated.
    `String` | `getName()` Deprecated.
    `float` | `getNonHeapMemUsage()` Deprecated.
    `long` | `getPresencesNumber()` Deprecated.
    `float` | `getPresencesNumberPerSec()` Deprecated.
    `long` | `getProcesCPUTime()` Deprecated.
    `long` | `getQueueOverflow()` Deprecated.
    `int` | `getQueueSize()` Deprecated.
    `int` | `getServerConnections()` Deprecated.
    `int[]` | `getServerConnectionsHistory()` Deprecated.
    `long` | `getSMPacketsNumber()` Deprecated.
    `float` | `getSMPacketsNumberPerSec()` Deprecated.
    `float[]` | `getSMPacketsPerSecHistory()` Deprecated.
    `int` | `getSMQueueSize()` Deprecated.
    `Map<String,LinkedList<Object>>` | `getStatsHistory(String[] statsKeys)` Deprecated.
    `String` | `getSystemDetails()` Deprecated.
    `long` | `getUptime()` Deprecated.
    `void` | `handleNotification(Notification notification, Object handback)` Deprecated.
    `boolean` | `isConnected()` Deprecated.
    `boolean` | `isInitialized()` Deprecated.
    `void` | `start()` Deprecated.
    `void` | `update()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaJMXProxy

          public JavaJMXProxy(String id,
                              String hostname,
                              int port,
                              String userName,
                              String password,
                              long delay,
                              long interval,
                              boolean loadHistory)

      Deprecated.

  - ### Method Detail

    - #### addJMXProxyListener

          public void addJMXProxyListener(JMXProxyListener listener)

      Deprecated.

    - #### connect

          public void connect()
                       throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### handleNotification

          public void handleNotification(Notification notification,
                                         Object handback)

      Deprecated.
      Specified by:
        `handleNotification` in interface `NotificationListener`

    - #### start

          public void start()

      Deprecated.

    - #### update

          public void update()

      Deprecated.

    - #### getAllStats

          public Map<String,String> getAllStats(int level)

      Deprecated.
      Description copied from interface: `StatisticsProviderMBean`
      Operation exposed for management
      Specified by:
        `getAllStats` in interface `StatisticsProviderMBean`
      Parameters:
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        `java.util.Map<String, String>`

    - #### getCLIOQueueSize

          public int getCLIOQueueSize()

      Deprecated.
      Specified by:
        `getCLIOQueueSize` in interface `StatisticsProviderMBean`

    - #### getCLPacketsPerSecHistory

          public float[] getCLPacketsPerSecHistory()

      Deprecated.
      Specified by:
        `getCLPacketsPerSecHistory` in interface `StatisticsProviderMBean`

    - #### getCLQueueSize

          public int getCLQueueSize()

      Deprecated.
      Specified by:
        `getCLQueueSize` in interface `StatisticsProviderMBean`

    - #### getClusterCacheSize

          public int getClusterCacheSize()

      Deprecated.
      Specified by:
        `getClusterCacheSize` in interface `StatisticsProviderMBean`

    - #### getClusterCompressionRatio

          public float getClusterCompressionRatio()

      Deprecated.
      Specified by:
        `getClusterCompressionRatio` in interface `StatisticsProviderMBean`

    - #### getClusterNetworkBytes

          public long getClusterNetworkBytes()

      Deprecated.
      Specified by:
        `getClusterNetworkBytes` in interface `StatisticsProviderMBean`

    - #### getClusterNetworkBytesPerSecond

          public float getClusterNetworkBytesPerSecond()

      Deprecated.
      Specified by:
        `getClusterNetworkBytesPerSecond` in interface `StatisticsProviderMBean`

    - #### getClusterPackets

          public long getClusterPackets()

      Deprecated.
      Specified by:
        `getClusterPackets` in interface `StatisticsProviderMBean`

    - #### getClusterPacketsPerSec

          public float getClusterPacketsPerSec()

      Deprecated.
      Specified by:
        `getClusterPacketsPerSec` in interface `StatisticsProviderMBean`

    - #### getComponentsNames

          public List<String> getComponentsNames()

      Deprecated.
      Description copied from interface: `StatisticsProviderMBean`
      Get Attribute exposed for management
      Specified by:
        `getComponentsNames` in interface `StatisticsProviderMBean`
      Returns:
        a value of `List<String>`

    - #### getComponentStats

          public Map<String,String> getComponentStats(String compName,
                                                      int level)

      Deprecated.
      Description copied from interface: `StatisticsProviderMBean`
      Operation exposed for management
      Specified by:
        `getComponentStats` in interface `StatisticsProviderMBean`
      Parameters:
        `compName` - The component name to provide statistics for
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        `java.util.Map<String, String>`

    - #### getConnectionsNumber

          public int getConnectionsNumber()

      Deprecated.
      Specified by:
        `getConnectionsNumber` in interface `StatisticsProviderMBean`

    - #### getConnectionsNumberHistory

          public int[] getConnectionsNumberHistory()

      Deprecated.
      Specified by:
        `getConnectionsNumberHistory` in interface `StatisticsProviderMBean`

    - #### getCPUsNumber

          public int getCPUsNumber()

      Deprecated.
      Specified by:
        `getCPUsNumber` in interface `StatisticsProviderMBean`

    - #### getCPUUsage

          public float getCPUUsage()

      Deprecated.
      Specified by:
        `getCPUUsage` in interface `StatisticsProviderMBean`

    - #### getCPUUsageHistory

          public float[] getCPUUsageHistory()

      Deprecated.
      Specified by:
        `getCPUUsageHistory` in interface `StatisticsProviderMBean`

    - #### getCurStats

          public Map<String,Object> getCurStats(String[] statsKeys)

      Deprecated.
      Specified by:
        `getCurStats` in interface `StatisticsProviderMBean`

    - #### getDirectMemUsed

          public long getDirectMemUsed()

      Deprecated.
      Specified by:
        `getDirectMemUsed` in interface `StatisticsProviderMBean`

    - #### getDirectMemUsedHistory

          public long[] getDirectMemUsedHistory()

      Deprecated.
      Specified by:
        `getDirectMemUsedHistory` in interface `StatisticsProviderMBean`

    - #### getHeapMemUsage

          public float getHeapMemUsage()

      Deprecated.
      Specified by:
        `getHeapMemUsage` in interface `StatisticsProviderMBean`

    - #### getHeapUsageHistory

          public float[] getHeapUsageHistory()

      Deprecated.
      Specified by:
        `getHeapUsageHistory` in interface `StatisticsProviderMBean`

    - #### getId

          public String getId()

      Deprecated.

    - #### getIQAuthNumber

          public long getIQAuthNumber()

      Deprecated.
      Specified by:
        `getIQAuthNumber` in interface `StatisticsProviderMBean`

    - #### getIQOtherNumber

          public long getIQOtherNumber()

      Deprecated.
      Specified by:
        `getIQOtherNumber` in interface `StatisticsProviderMBean`

    - #### getIQOtherNumberPerSec

          public float getIQOtherNumberPerSec()

      Deprecated.
      Specified by:
        `getIQOtherNumberPerSec` in interface `StatisticsProviderMBean`

    - #### getLastCacheUpdate

          public long getLastCacheUpdate()

      Deprecated.

    - #### getMessagesNumber

          public long getMessagesNumber()

      Deprecated.
      Specified by:
        `getMessagesNumber` in interface `StatisticsProviderMBean`

    - #### getMessagesNumberPerSec

          public float getMessagesNumberPerSec()

      Deprecated.
      Specified by:
        `getMessagesNumberPerSec` in interface `StatisticsProviderMBean`

    - #### getName

          public String getName()

      Deprecated.
      Specified by:
        `getName` in interface `StatisticsProviderMBean`

    - #### getNonHeapMemUsage

          public float getNonHeapMemUsage()

      Deprecated.
      Specified by:
        `getNonHeapMemUsage` in interface `StatisticsProviderMBean`

    - #### getPresencesNumber

          public long getPresencesNumber()

      Deprecated.
      Specified by:
        `getPresencesNumber` in interface `StatisticsProviderMBean`

    - #### getPresencesNumberPerSec

          public float getPresencesNumberPerSec()

      Deprecated.
      Specified by:
        `getPresencesNumberPerSec` in interface `StatisticsProviderMBean`

    - #### getProcesCPUTime

          public long getProcesCPUTime()

      Deprecated.
      Specified by:
        `getProcesCPUTime` in interface `StatisticsProviderMBean`

    - #### getQueueOverflow

          public long getQueueOverflow()

      Deprecated.
      Specified by:
        `getQueueOverflow` in interface `StatisticsProviderMBean`

    - #### getQueueSize

          public int getQueueSize()

      Deprecated.
      Specified by:
        `getQueueSize` in interface `StatisticsProviderMBean`

    - #### getServerConnections

          public int getServerConnections()

      Deprecated.
      Specified by:
        `getServerConnections` in interface `StatisticsProviderMBean`

    - #### getServerConnectionsHistory

          public int[] getServerConnectionsHistory()

      Deprecated.
      Specified by:
        `getServerConnectionsHistory` in interface `StatisticsProviderMBean`

    - #### getSMPacketsNumber

          public long getSMPacketsNumber()

      Deprecated.
      Specified by:
        `getSMPacketsNumber` in interface `StatisticsProviderMBean`

    - #### getSMPacketsNumberPerSec

          public float getSMPacketsNumberPerSec()

      Deprecated.
      Specified by:
        `getSMPacketsNumberPerSec` in interface `StatisticsProviderMBean`

    - #### getSMPacketsPerSecHistory

          public float[] getSMPacketsPerSecHistory()

      Deprecated.
      Specified by:
        `getSMPacketsPerSecHistory` in interface `StatisticsProviderMBean`

    - #### getSMQueueSize

          public int getSMQueueSize()

      Deprecated.
      Specified by:
        `getSMQueueSize` in interface `StatisticsProviderMBean`

    - #### getStatsHistory

          public Map<String,LinkedList<Object>> getStatsHistory(String[] statsKeys)

      Deprecated.
      Specified by:
        `getStatsHistory` in interface `StatisticsProviderMBean`

    - #### getSystemDetails

          public String getSystemDetails()

      Deprecated.
      Specified by:
        `getSystemDetails` in interface `StatisticsProviderMBean`

    - #### getUptime

          public long getUptime()

      Deprecated.
      Specified by:
        `getUptime` in interface `StatisticsProviderMBean`

    - #### isConnected

          public boolean isConnected()

      Deprecated.

    - #### isInitialized

          public boolean isInitialized()

      Deprecated.

Copyright © 2017 "Tigase, Inc.". All rights reserved.